com.genesyslab.wfm7.API.service.scheduleTrade712

## Class SchTradeProposal

- java.lang.Object
- - com.genesyslab.wfm7.API.service.scheduleTrade712.SchTradeProposal

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeProposal
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswAgentId`
    `private java.lang.String` | `wmComments`
    `private double[]` | `wmDays`
    `private int` | `wmDaysNSizeIs`
    `private double` | `wmExpireDateTime`
    `private int` | `wmHandshakeType`
    `private int` | `wmPaidMinutes`
    `private int` | `wmSiteId`
    `private int` | `wmStatus`
    `private double` | `wmSubmitDateTime`
    `private int` | `wmTradeProposalId`
    `private int` | `wmType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeProposal()`
    `SchTradeProposal(int wmTradeProposalId, int wmSiteId, int gswAgentId, int wmType, int wmHandshakeType, double wmSubmitDateTime, double wmExpireDateTime, int wmStatus, java.lang.String wmComments, int wmPaidMinutes, int wmDaysNSizeIs, double[] wmDays)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswAgentId()` Gets the gswAgentId value for this SchTradeProposal.
    `java.lang.String` | `getWmComments()` Gets the wmComments value for this SchTradeProposal.
    `double[]` | `getWmDays()` Gets the wmDays value for this SchTradeProposal.
    `int` | `getWmDaysNSizeIs()` Gets the wmDaysNSizeIs value for this SchTradeProposal.
    `double` | `getWmExpireDateTime()` Gets the wmExpireDateTime value for this SchTradeProposal.
    `int` | `getWmHandshakeType()` Gets the wmHandshakeType value for this SchTradeProposal.
    `int` | `getWmPaidMinutes()` Gets the wmPaidMinutes value for this SchTradeProposal.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this SchTradeProposal.
    `int` | `getWmStatus()` Gets the wmStatus value for this SchTradeProposal.
    `double` | `getWmSubmitDateTime()` Gets the wmSubmitDateTime value for this SchTradeProposal.
    `int` | `getWmTradeProposalId()` Gets the wmTradeProposalId value for this SchTradeProposal.
    `int` | `getWmType()` Gets the wmType value for this SchTradeProposal.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this SchTradeProposal.
    `void` | `setWmComments(java.lang.String wmComments)` Sets the wmComments value for this SchTradeProposal.
    `void` | `setWmDays(double[] wmDays)` Sets the wmDays value for this SchTradeProposal.
    `void` | `setWmDaysNSizeIs(int wmDaysNSizeIs)` Sets the wmDaysNSizeIs value for this SchTradeProposal.
    `void` | `setWmExpireDateTime(double wmExpireDateTime)` Sets the wmExpireDateTime value for this SchTradeProposal.
    `void` | `setWmHandshakeType(int wmHandshakeType)` Sets the wmHandshakeType value for this SchTradeProposal.
    `void` | `setWmPaidMinutes(int wmPaidMinutes)` Sets the wmPaidMinutes value for this SchTradeProposal.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this SchTradeProposal.
    `void` | `setWmStatus(int wmStatus)` Sets the wmStatus value for this SchTradeProposal.
    `void` | `setWmSubmitDateTime(double wmSubmitDateTime)` Sets the wmSubmitDateTime value for this SchTradeProposal.
    `void` | `setWmTradeProposalId(int wmTradeProposalId)` Sets the wmTradeProposalId value for this SchTradeProposal.
    `void` | `setWmType(int wmType)` Sets the wmType value for this SchTradeProposal.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmTradeProposalId

          private int wmTradeProposalId

    - #### wmSiteId

          private int wmSiteId

    - #### gswAgentId

          private int gswAgentId

    - #### wmType

          private int wmType

    - #### wmHandshakeType

          private int wmHandshakeType

    - #### wmSubmitDateTime

          private double wmSubmitDateTime

    - #### wmExpireDateTime

          private double wmExpireDateTime

    - #### wmStatus

          private int wmStatus

    - #### wmComments

          private java.lang.String wmComments

    - #### wmPaidMinutes

          private int wmPaidMinutes

    - #### wmDaysNSizeIs

          private int wmDaysNSizeIs

    - #### wmDays

          private double[] wmDays

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchTradeProposal

          public SchTradeProposal()

    - #### SchTradeProposal

          public SchTradeProposal(int wmTradeProposalId,
                          int wmSiteId,
                          int gswAgentId,
                          int wmType,
                          int wmHandshakeType,
                          double wmSubmitDateTime,
                          double wmExpireDateTime,
                          int wmStatus,
                          java.lang.String wmComments,
                          int wmPaidMinutes,
                          int wmDaysNSizeIs,
                          double[] wmDays)

  - ### Method Detail

    - #### getWmTradeProposalId

          public int getWmTradeProposalId()

      Gets the wmTradeProposalId value for this SchTradeProposal.
      Returns:
        wmTradeProposalId Proposal ID

    - #### setWmTradeProposalId

          public void setWmTradeProposalId(int wmTradeProposalId)

      Sets the wmTradeProposalId value for this SchTradeProposal.
      Parameters:
        `wmTradeProposalId` - Proposal ID

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this SchTradeProposal.
      Returns:
        wmSiteId Site ID

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this SchTradeProposal.
      Parameters:
        `wmSiteId` - Site ID

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this SchTradeProposal.
      Returns:
        gswAgentId An ID of agent that posted proposal

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this SchTradeProposal.
      Parameters:
        `gswAgentId` - An ID of agent that posted proposal

    - #### getWmType

          public int getWmType()

      Gets the wmType value for this SchTradeProposal.
      Returns:
        wmType Type of proposal (Personal or Community)
      See Also:
        `ESchTradeProposalType`

    - #### setWmType

          public void setWmType(int wmType)

      Sets the wmType value for this SchTradeProposal.
      Parameters:
        `wmType` - Type of proposal (Personal or Community)
      See Also:
        `ESchTradeProposalType`

    - #### getWmHandshakeType

          public int getWmHandshakeType()

      Gets the wmHandshakeType value for this SchTradeProposal.
      Returns:
        wmHandshakeType One-way handshake or two-way handshake required
      See Also:
        `ESchTradeHandshakeType`

    - #### setWmHandshakeType

          public void setWmHandshakeType(int wmHandshakeType)

      Sets the wmHandshakeType value for this SchTradeProposal.
      Parameters:
        `wmHandshakeType` - One-way handshake or two-way handshake required
      See Also:
        `ESchTradeHandshakeType`

    - #### getWmSubmitDateTime

          public double getWmSubmitDateTime()

      Gets the wmSubmitDateTime value for this SchTradeProposal.
      Returns:
        wmSubmitDateTime Date and time when proposal was posted in site time zone.

    - #### setWmSubmitDateTime

          public void setWmSubmitDateTime(double wmSubmitDateTime)

      Sets the wmSubmitDateTime value for this SchTradeProposal.
      Parameters:
        `wmSubmitDateTime` - Date and time when proposal was posted in site time zone.

    - #### getWmExpireDateTime

          public double getWmExpireDateTime()

      Gets the wmExpireDateTime value for this SchTradeProposal.
      Returns:
        wmExpireDateTime Date and time when proposal will expire.

    - #### setWmExpireDateTime

          public void setWmExpireDateTime(double wmExpireDateTime)

      Sets the wmExpireDateTime value for this SchTradeProposal.
      Parameters:
        `wmExpireDateTime` - Date and time when proposal will expire.

    - #### getWmStatus

          public int getWmStatus()

      Gets the wmStatus value for this SchTradeProposal.
      Returns:
        wmStatus Status of proposal
      See Also:
        `SchTradeProposalStatus`

    - #### setWmStatus

          public void setWmStatus(int wmStatus)

      Sets the wmStatus value for this SchTradeProposal.
      Parameters:
        `wmStatus` - Status of proposal
      See Also:
        `SchTradeProposalStatus`

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the wmComments value for this SchTradeProposal.
      Returns:
        wmComments Comments to proposal

    - #### setWmComments

          public void setWmComments(java.lang.String wmComments)

      Sets the wmComments value for this SchTradeProposal.
      Parameters:
        `wmComments` - Comments to proposal

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the wmPaidMinutes value for this SchTradeProposal.
      Returns:
        wmPaidMinutes Total paid minutes in proposal agent days

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int wmPaidMinutes)

      Sets the wmPaidMinutes value for this SchTradeProposal.
      Parameters:
        `wmPaidMinutes` - Total paid minutes in proposal agent days

    - #### getWmDaysNSizeIs

          public int getWmDaysNSizeIs()

      Gets the wmDaysNSizeIs value for this SchTradeProposal.
      Returns:
        wmDaysNSizeIs Dates array size

    - #### setWmDaysNSizeIs

          public void setWmDaysNSizeIs(int wmDaysNSizeIs)

      Sets the wmDaysNSizeIs value for this SchTradeProposal.
      Parameters:
        `wmDaysNSizeIs` - Dates array size

    - #### getWmDays

          public double[] getWmDays()

      Gets the wmDays value for this SchTradeProposal.
      Returns:
        wmDays Dates of day schedules in trade proposal

    - #### setWmDays

          public void setWmDays(double[] wmDays)

      Sets the wmDays value for this SchTradeProposal.
      Parameters:
        `wmDays` - Dates of day schedules in trade proposal

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.